What's New in Version 3.6
_________________________
ŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻ

Major Changes in Latest Releases
================================
Only the most significant feature changes are listed under this
topic. See the next main topics for a more comprehensive explanation
of the changes.


Mailbag v3.6 (released: April 05, 2004)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Added support for MSN mail files (.MailDB).
* Added option for extension of EML-compatible file types.
* Improved support for Eudora mailbox messages in HTML format.
* New program icon.
* Updated the Help file.


Mailbag v3.5 (released: April 24, 2003)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Added News and Updates feature.
* UUCODED attachments in message body no longer displayed.
* Fixed issue with Base64 messages.
* Updated the Help file.


Mailbag v3.2 (released: January 02, 2003)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Merged documents can now be output to an alternative folder.
* Added support for .msg files (similar to EML files).
* Updated several templates.
* Other minor improvements and bug fixes.


Mailbag v3.1 (released: November 18, 2002)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Added support for MS Outlook Express newsgroups.
* Added Mozilla and Netscape 7 to the choice of mailbox types.


Mailbag v3.0 (released: April 16, 2002)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Added support for Generic mailboxes (mbox, Unix mail format,
  Berkeley mail format, BSD mail format) and Juno 3.x.
* New Export command to save messages as EML files and Generic/Unix
  mail files.
* Added feature to detect virus attachments.
* Added feature to extract and open individual attachments from a
  message.
* Added option to store data files in Windows "Application Data"
  folder.
* Improved handling of quoted text used when extended characters are
  encountered.
* HTTP-based mail (e.g., Hotmail) imported into Outlook Express can
  now be loaded into Mailbag Assistant.
* Improved support for MS Outlook mail imported in Outlook Express.
* Better support for The Bat!, Calypso, and Forte Agent mail files.
* New HTML Help file.


Mailbag v2.6c (released: December 21, 2001)
ŻŻŻŻŻŻŻŻŻŻŻŻŻ
* Maintenance release (see changes under next main topic).


Mailbag v2.6 (released: September 05, 2001)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Maintenance release (see changes under next main topic).


Mailbag v2.5 (released: May 25, 2001)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Easier to use for Outlook Express users.
* Can now read and create .eml files.
* Can extract HTML messages with their embedded contents and display
  them in the default browser.
* Added new template and script commands.
* Supports Forte Agent 1.8 files.


Mailbag v2.0 (released: September 28, 2000)
ŻŻŻŻŻŻŻŻŻŻŻŻ
* Now reads Outlook Express 5.x, Netscape 6, The Bat! v1.42+,
  Forte Agent (prior to v1.8), and Poco mailboxes.
* Improved loading of large Netscape, Calypso, and FoxMail
  mailboxes.
* Added tools and options to archive/extract message attachments.
* Mailbag archive mailboxes can be saved in compressed format to
  save disk space.
* New wizards help make setting filters and searches easier.



Changes in Version 3.6
======================
* Adds support for MSN mail files (.MailDB). These are identical
  to MS Outlook Express files and can now be opened by selecting the
  "Outlook Express 5/6" mail type.

* Adds option to include or not a heading when data is added
  to a report. See "Add heading" checkbox on "Output View" tab of
  the Options dialog box.

* Adds option to determine file extension of EML-compatible
  file type. See field labeled "EML compatible ext." on "Advanced"
  tab of the Options dialog box.

* Status field now shows which e-mails contain messages in HTML
  format.

* Eudora mailbox messages in HTML format are now processed the same
  way as other HTML mail.

* The news feature now does its polling in a separate program thread
  to improve program loading speed.

* Fixed failure to export emails with very long subject lines
  as eml files.

* Several other minor issues fixed.

* New program icon.

* Updated the Help file.



Changes in Version 3.5
======================
* Added "News and Updates" feature. Use it to find out when updates
become available. Program updates can be installed through this
feature too. Use the Help/Check for Updates menu command to open
the "News and Updates" window.

* Some messages sent in Base64 format were not decoded. This is
now fixed.

* UUCODED attachments that are placed in the body of non-MAPI
messages are no longer displayed.

* Several other minor issues fixed.

* Updated the Help file.



Changes in Version 3.2
======================
* Using the Tools/Merge Data feature, it is now possible to
specify an alternative output folder. You can add this feature to
your own templates by preceding the filename with the "?\" token
(without the quotes). Example:
>>>Files ?\{Subject}.txt

* Files with the extension .msg are now treated like EML files.

* The templates for the "Export as Web pages" script have been
updated.

* Added Reply/Resend Message to grid shortcut menu.

* The "Quote header" field on the Advanced tab of the Options
dialog box now supports line breaks through the use of the
"^P" token. Example:
At %1,^Pyou wrote:

* https URLs are now correctly highlighted.

* Under certain circumstances, messages converted to HTML format
produced a blank message body. This is now fixed.

* Fixed an issue when handling attachments from Calypso archives.


Changes in Version 3.1
======================
* Added support for loading MS Outlook Express newsgroups and
extracting newsgroup attachments.

* Added Mozilla and Netscape 7 to the choice of mailbox types.

* Improved handling of certain types of attachments.

* Several other minor issues fixed.


Changes in Version 3.0
======================
* Now reads Generic mailboxes (mbox, Unix mail format, Berkeley mail
format, BSD mail format). Mailbag will attempt to determine status
information based on information contained in each message header.

* Supports Juno 3.x mailboxes.

* HTTP-based mail (e.g., Hotmail) imported into Outlook Express can
now be loaded into Mailbag Assistant.

* First generation mailboxes from PC Eudora can now also be opened
in Mailbag Assistant.

* HTML Help file is now distributed for online help instead of the
WinHelp file.

* Added an option to store data files in Windows "Application Data"
folder. You will find it in the Options dialog box on the Advanced
tab.

* Added the "Edit/Select Virus Mail" menu command. It searches for
e-mails containing known virus attachments. The list of viruses is
stored in the v_info.lst file in encrypted format (due to some very
vulgar names). You can define how broad the selection should be based
on a risk level that you set through the Tools tab in the Options
dialog box. See Help for details.

* Added the Export E-mail command under the File menu. Use it to
create Generic mailboxes or EML files of the e-mails displayed in the
active grid. If you export to an existing Generic mailbox, you can
choose the append the messages to it or replace it with the new data.
Note, however, that there is no checking for duplicate e-mails when
you use this feature.

* An attachment listed in the header section under the message grid
can be viewed in the associated program (based on file type) by
double-clicking on its name. If you want to keep the attachment and
optionally open it, hold down the Ctrl key and click once on the
name. Mailbag will warn you if it thinks the attachment is a possible
vector of viruses. Please see the Help file for more details.

* Mime messages that contain an embedded message (e.g., some forwarded
e-mails), now offer a method to extract their contents like other
file attachments. These are listed as [message.eml] items in the
attachments list. Note that these are not real attachments.

* The extension for Generic mailboxes can be set through the Options
dialog on the Advanced tab. You can specify multiple extensions by
separating each one with a semicolon (e.g., *.txt;*.mtx). Due to a
Windows bug, you can only display files with no extension by using
the filter *.*

* Improved handling of quoted text. This type of text in the main
header fields is now properly converted to ANSI text. Example:
Subject: =?iso-8859-1?B?R3J13w==?=
is converted to:
Subject: Gruß

* Added "Ignore case" search option. With this setting, character
case and word boundaries do not need to match during a text
comparison.

* The original mailbox name is now stored in Mailbag archives and
displayed in the grid's Mailbox column when opened. Note however,
that names (especially long ones) may get truncated if there is
insufficient space to store the information in the message header.
This approach was necessary to ensure compatibility with Mailbag
archives created by older versions of the program.

* Under ME/2000/XP, the new File Open/Save dialogs with the "places"
bar are displayed.

* The way Tools/Merge Data operates can be controlled through the
"Only merge selected messages" setting. See Help for details.

* Performing a search on a whole e-mail with the "All" option now
also includes the names of MIME attachments.

* Added two new template fields: {OriginalIP} represents the original
IP address of the e-mail (based on information in the header). The
field {GenericEmail} inserts an e-mail in a format compatible with
Generic mailboxes.

* The Script command has been extended to accept the new option
"Virus", which you can use to select e-mails that contain known
virus attachments.

* Mail converted from Outlook to Outlook Express now correctly
distinguishes incoming mail from outgoing mail.

* vCard attachments (.vcf files) are no longer displayed in the
message window.

* Improved handling of some bad dates in Eudora mail files.

* Forwarded mail in Outlook Express 5/6 now correctly identified.

* The Bat! mailbox names now reflect the folder name instead of the
file name.

* The display name for Forte Agent mailboxes is now shown in the
Mailbag grid if the Groups.* file is available.

* The Bat! "Colour Group" field (as well as flagged e-mails) is now
reflected in the Labels field of the Mailbag grid.

* Calypso archive attachments now correctly handled.

* Fixed a problem in the loading of some Forte Agent files.

* Some messages caused an access violation when the "Send Message"
command was invoked. This is fixed.

* Many other bug fixes and improvements.


Changes in Version 2.6c
=======================
* Supports Windows XP themes.

* Under Windows 2000 and XP, Mailbag sometimes failed to locate the
Outlook Express folder. This has been fixed.

* Several glitches in the Regular Expression engine have been fixed.

* Hidden mail folder were not displayed in the "Open All Emails"
dialog. This has been fixed.

* Other minor improvements.


Changes in Version 2.6
======================
* Added a setting "Extract .vcf files" on the Messages tab of the
Options dialog. It lets choose whether .vcf attachments (electronic
business cards) are extracted or not by the "Tools/Extract
Attachments" menu command.

* The last-used folder for the "Tools/Extract Attachments" and
"Tools/Extract HTML Pages" commands is now remembered across
sessions.

* Fixed a glitch that caused the "Tools/Extract Attachments" and
"Tools/Extract HTML Pages" to sometimes fail when more than one
e-mail was included in the operation.

* Some incorrectly formatted message header items failed to load
properly in Mailbag if a space was not included following the colon
after the field name.

* When searching through subdirectories, directories with the
hidden, read-only, or system attributes were skipped. This is now
fixed.

* Poco attachments are now correctly handled.

* Includes updates of third-party controls.


Changes in Version 2.5
======================
* Version 2.51 fixes a minor issue related to differentiating
between incoming and outgoing e-mail.

* You can now open .eml files, just like any other type of mailbox.

* Added the menu command "File/Print E-mails". Prints all the
selected e-mails in the active grid. By default, each message is
printed on a separate page. You can change this, as well as the
layout, by editing the template file "Print Layout.tpl".

* Added the menu command "Tools/Extract HTML Pages". Use this
command to extract HTML pages contained in selected messages from
the active grid. If no messages are selected, the command will scan
through all the listed messages. This command prompts you to specify
the output directory. If several extracted files have the same file
name, Mailbag will insert an index number in each duplicate name to
ensure they don't overwrite each other. The resulting HTML pages are
extracted together with their embedded contents, so they can be
viewed in their original format in your Web browser. Note that this
command will not work for messages stored in Eudora and Poco
mailboxes; these e-mail programs modify messages as they arrive and
don't preserve the original MIME format.

* You can now display HTML messages in your browser. To do so, just
double-click on such a message with your mouse in the Message Grid.
Alternatively, select the e-mail in the Message Grid and then use
the "View/Message in Browser" command from the shortcut menu. The
HTML page and its associated contents are then extracted from the e-
mail and displayed in your default browser. These files are stored
in the Windows temporary directory (generally C:\Windows\Temp) and
are automatically deleted when you close Mailbag Assistant. Note
that this feature will not work for messages stored in Eudora and
Poco mailboxes; these e-mail programs modify messages as they arrive
and don't preserve the original MIME format.

* Added a new search option "Exact words" in the E-mail Wizard and
Match dialogs. It's similar to the "Whole words" option, but it
requires character case to match exactly. The "Whole words" option
now always ignores character case.

* Added "Preserve URLs contained in HTML messages" checkbox on the
Messages tab in the Options dialog box. Set this option to see all
embedded links in the message window. Note that some messages may be
harder to read when this option is used, but at least you get the
see the embedded URLs.

* Matching text is now highlighted in the message windows after a
Find operation on the Message Grid.

* Improved the command for extracting attachments from complex MIME
messages.

* Attachments are now saved with a file date that corresponds to the
message that contained it.

* Changed the name of "Mailbox Wizard" to "E-mail Wizard" and "Open
Folder" to "Open All E-mails".

* Settings on file associations are now correctly indicated in the
Options dialog box on the Advanced tab.

* Can now read Forte Agent 1.8 files.

* Fixed a glitch in the E-Mail Wizard that caused failure to find
the correct e-mail directory for Outlook Express when it is
configured for multiple identities.

* Updated the Help file and other documentation.

* Other minor fixes and improvements.


Fields and Templates
....................
* Added the new template field {RawEmail}. It reproduces the whole
message in its native format (e.g. MIME), including all the header
fields.

* Templates can now be designed to create files with names based on
the corresponding e-mail subject. Use the special token {Subject} in
the file name specifier. Example:
>>>Files {Subject}.eml
See the templates "Save as EML.tpl" and "Save as Text.tpl" for a
usage example.


Script Language
...............
* Added the Print command. Use it to print the current e-mail
message or the active document.

* Added the PrintEmails command. Performs the same task as the
"File/Print E-mails" menu command.

* Added ExtractHtmlPages command. The usage and behavior of this
command is similar to the ExtractAttachments, but instead of
extracting attachments, it extracts the HTML message and related
contents. Note that this feature will not work for messages stored
in Eudora and Poco mailboxes; these e-mail programs modify messages
as they arrive and don't preserve the original MIME format.



Changes in Version 2.0
======================
* Added support for Outlook Express 5/5.5, Netscape 6, The Bat!
v1.42+, Forte Agent (prior to v1.8), and Poco mailbox files. 

* Added tools and options to handle message attachments. Attachments
can now be easily archived and extracted from messages. See  menu
commands "Tools|Extract Attachments" and "Tools|Open Attachments
Folder", and settings on the Messages tab in the Options dialog box.

* Added an option to create compressed archives. See "Compress
messages" on the Messages tab in the Options dialog box.

* Added new selection-script wizard as an alternative to the
standard Match and Filter dialog boxes. The default type of dialog
can be set through the Options dialog box on the new Tools tab.

* Added new menu command: Tools|Statistics|Mailer. When you activate
it, Mailbag will analyse the X-Mailer field (or other sections if
absent) in each message header to provide a count of how many people
are using each of the detected e-mail clients. The field content is
striped based on the entries in the X-Mailer.lst file. Only one
message per e-mail address is taken into account and outbound
messages are ignored.

* Added menu command Edit|Select Duplicates to select duplicate e-
mails (those that have the same Message-id field).

* Added option to keep all messages in memory (see "Keep messages in
RAM" on Advanced tab in Options dialog box). When enabled, mailboxes
take longer to load and use up more memory. The advantage with this
setting is that Mailbag does not have to reload a viewed mailbox
each time the e-mail client modifies it. Also, message display and
processing like filtering and searching are much faster.

* Better support for the more unusual date formats some mailers
create.

* You can resize-to-fit columns by double-clicking on the column
separator in the grid header.

* You can delete scripts and templates by holding down the Delete
key when clicking on the menu item.

* New method used to load Netscape, Calypso, and FoxMail mailboxes.
Mailbag now uses much less memory to load large mailboxes. Feedback
from Netscape and FoxMail users on opening mailboxes larger than 1
MB would be much appreciated.

* Added a field "Must contain" in the "Open Folder" dialog box. When
used, Mailbag will only open mailboxes that contain the specified
text. If the text is all in lowercase, the search will be ignore
case, otherwise it will be case sensitive. This new setting is
useful if you are searching for messages that contain a specific
text and you want to limit the number of mailboxes opened. Note that
to ensure optimum speed, Mailbag looks for the literal text without
parsing the contents of mailboxes. So, if you are searching for the
Swiss name "Genève" and it is contained in an HTML message as
"Gen&egrave;ve", there is no match. However, the word would be
correctly matched by using the other search tools in Mailbag because
the text is parsed and special characters are converted.

* Added a setting called "Split multiple addresses" on the General
tab in the Options dialog box. It is unchecked by default. When
unchecked, Mailbag shows each e-mail containing multiple addresses
in the "To" field in a single row in the grid. When checked, the
behavior corresponds to that of previous releases, which only
display one address per row.

* When you specify a selection criteria in the Startup wizard,
Match, and Filter dialog box, that contains uppercase characters,
Mailbag will perform a case sensitive search. If the text is all in
lowercase, then the search will only be case sensitive if you
specifically select that option.

* The Match and Filter dialog box now adds an extra button labeled
Criteria, which lets you clear the fields, copy/paste criteria from
the Clipboard, and save/restore them from disk. The text copied to
the Clipboard or on disk can be used in scripts.

* Bad dates are now displayed blank instead of showing something
like year 1899.

* The Startup Wizard has been renamed Mailbox Wizard, and the
command has been moved from the Help menu to the Tools menu.

* The Mailbox Wizard no longer closes mailboxes that are already
open.

* Fixed a problem with old Compuserve addresses that contained a
comma. Mailbag now treats these as a single address instead of
splitting them in two.

* Fixed Intellimouse-wheel bug in message windows, which caused
Mailbag to freeze.

* Fixed a bug that could cause an Access Violation error when trying
to copy or paste data in some of the controls.

* Fixed problem that sometimes allowed duplicate e-mails to be saved
in Mailbag archives.

* Eudora: multiple address books are no longer treated as mailboxes
when opening folders.

* Other minor bug fixes and improvements.


Script Language
...............
* Changed the extension of script files from .scr to .mbs to avoid
conflicts with screen savers. This update will automatically rename
the files for you.

* Added command to extract attachments. It extracts/copies
embedded/external attachments from the selected messages in the
active or specified grid. If no messages are selected, the command
will scan through all the listed messages. Attachments are
automatically saved in the Attachments subdirectory, unless you
specify an alternative DestDir folder. If you want to prompt the
user for a folder name, use "?" for the DestDir parameter. The
current grid is processed unless you specify another grid through
the ViewName parameter. Valid values for ViewName are: Default,
MainGrid, or SubsetGrid. Syntax:
ExtractAttachments [DestDir] [ViewName]

Examples:
ExtractAttachments "C:\Temp" MainGrid
  All the attachments contained in the message selection from the
  main grid are saved to the C:\Temp folder.

ExtractAttachments ?
  All the attachments contained in the message selection from the
  current grid are saved to the folder chosen by the user.

* Added new script command to return the path to the Mailbag
Attachments folder:
{AttachmentsPath}

* Added new script command to return the path to the Mailbag Samples
folder:
{SamplesPath}

* Added new option for the Select script command to select duplicate
e-mails:
Select Duplicates

* Added new command to delete disk files:
DeleteFile FileName

* Changed behavior of SaveMailBox command. It now appends messages
to the archive if it already exists. In previous versions, the
archive was replaced by the new one.



Mailbag v1.0 (released: September 16, 1999)
ŻŻŻŻŻŻŻŻŻŻŻŻ
First released version.

_________________________________________________________________
Mailbag Assistant is a trademark of Fookes Software, Switzerland
     Copyright İ 1999-2004, Fookes Software, Switzerland
                 - All Rights Reserved -
